!
      subroutine init_amie
!
! gl - 22/07/2002
! this routine is not called any more - instead by rdamie_nh and rdamie_sh
! also amie.h has been taken out of all relavent subroutines
!
      use input_module,only: tempdir,amievol,iamie
      implicit none
!
! Local:
      integer :: ios, iuamie
      character(len=80) :: dskfile
!
      iamie = 0
      if (len_trim(amievol) > 0) then
        iamie = 1
!
! Get AMIE volume if needed:
!
        call mkdiskflnm(amievol,dskfile)
        call getms(amievol,'AMIE',tempdir,dskfile) 
!       call openfile(iuamie,'AMIE','OLD','UNFORMATTED','READ')
        open(unit=iuamie,file='AMIE',status='OLD',form='UNFORMATTED',
     |    iostat=ios)
        if (ios == 0) then
          write(6,"('init_amie: opened file AMIE with iuamie=',i3)") 
     |      iuamie
        else
          write(6,"(/,'>>> init_amie: error opening file AMIE')")
          stop 'init_amie'
        endif
      endif
      end subroutine init_amie
